<div class="modal fade" id="command_edit" tabindex="-1">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title">Edit Command {{(command | async)?.name}}</h4>
            </div>
            <form novalidate [formGroup]="commandForm" (ngSubmit)="onSubmit()">
                <div class="modal-body">
                    <app-form-group [control]="commandForm.get('name')" label="{{'COMMANDS.NAME' | translate}}">
                        <input type="text" formControlName="name" class="form-control" id="name">
                    </app-form-group>
                    <app-form-group [control]="commandForm.get('script')" label="{{'COMMANDS.SCRIPT' | translate}}">
                        <textarea id="script" formControlName="script" class="form-control"></textarea>
                    </app-form-group>
                    <div class="row">
                        <div class="col-sm-3">
                            <app-form-group [control]="commandForm.get('weight')" label="{{'COMMANDS.WEIGHT' | translate}}">
                                <input type="number" formControlName="weight" id="weight" class="form-control" min="0" max="10000">
                            </app-form-group>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="submit" class="btn btn-primary">{{'FORM.SAVE' | translate}}</button>
                </div>
            </form>
        </div>
    </div>
</div>